"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initWs = void 0;
const interface_1 = require("./model/interface");
const app_1 = require("./app");
const services_ws_1 = require("./services/services-ws");
const interface_2 = require("../webpack/model/interface");
var fs = require('fs');
function initWs(options) {
    const mergeOptions = Object.assign(Object.assign({}, interface_1.defaultConfigWs), options);
    const mergeWebPack = Object.assign(Object.assign({}, interface_2.defaultConfig), mergeOptions);
    if (!!(options === null || options === void 0 ? void 0 : options.puppeteerOptions)) {
        mergeWebPack.puppeteerOptions = Object.assign(Object.assign({}, interface_2.defaultConfig.puppeteerOptions), options.puppeteerOptions);
    }
    // try {
    //   fs.writeFile(`${__dirname}/file.json`, '[1, 122]', function (err: any, data: any) {
    //     if (err) return console.log(err);
    //     console.log('gravou');
    //   });
    //   fs.readFile(
    //     `${__dirname}/file.json`,
    //     'UTF-8',
    //     function (err: any, data: any) {
    //       var f = JSON.parse(data);
    //       console.log(f);
    //     }
    //   );
    // } catch (e) {
    //   console.log('Error:', e);
    // }
    const app = (0, app_1.appExpress)(mergeOptions);
    new services_ws_1.ServiceWs(app, mergeOptions);
    app.listen(mergeOptions.port, () => {
        console.log(`Web service on http://localhost:${mergeOptions.port}`);
    });
    app.use(function (req, res) {
        res.send({
            text: 'Route does not exist!',
            status: '404',
            erro: true,
        });
    });
}
exports.initWs = initWs;
//# sourceMappingURL=init-ws.js.map