"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const treatment_1 = __importDefault(require("../../../help/treatment"));
class InicializeDeleteUser {
    deleteUserRouter(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const $_GET = req.params;
            const checkADM = yield treatment_1.default.CheckAdminLogin(req);
            if (checkADM.erro === false) {
                if (!!$_GET.id && $_GET.id.length) {
                    const deleteUser = yield treatment_1.default.dbUser.deleteUserId($_GET.id);
                    if (typeof deleteUser === 'boolean' && deleteUser === true) {
                        res.send({
                            erro: false,
                            text: 'User successfully deleted',
                        });
                    }
                    else {
                        res.send({
                            erro: false,
                            text: deleteUser,
                        });
                    }
                }
                else {
                    res.send({
                        erro: false,
                        text: 'Object incorrect',
                    });
                }
            }
            else {
                res.send(checkADM);
            }
        });
    }
}
module.exports = new InicializeDeleteUser();
//# sourceMappingURL=delete.js.map