"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const treatment_1 = __importDefault(require("../../../help/treatment"));
class InicializePostUser {
    createUserRouter(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const body = req.body;
            const checkADM = yield treatment_1.default.CheckAdminLogin(req);
            if (checkADM.erro === false) {
                if (!!body.name &&
                    body.name.length &&
                    !!body.password &&
                    body.password.length) {
                    const insertUser = yield treatment_1.default.dbUser.createUser(body.name, body.password);
                    if (typeof insertUser === 'object') {
                        res.send({
                            erro: false,
                            text: 'User successfully registered',
                            info: insertUser,
                        });
                    }
                    else {
                        res.send({
                            erro: true,
                        });
                    }
                }
                else {
                    res.send({
                        erro: true,
                        text: 'Object incorrect',
                    });
                }
            }
            else {
                res.send(checkADM);
            }
        });
    }
}
module.exports = new InicializePostUser();
//# sourceMappingURL=post.js.map