"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const get_1 = __importDefault(require("../../routers/admin/functions/get"));
module.exports = (router) => {
    // Fetch all users
    router.get('/get_all_users', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield get_1.default.getAllUserRouter(req, res);
    }));
    router.get('/get_user_by_id/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield get_1.default.getUserIdRouter(req, res);
    }));
};
//# sourceMappingURL=get.js.map