"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const put_1 = __importDefault(require("../../routers/admin/functions/put"));
module.exports = (router) => {
    router.put('/change_password', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield put_1.default.changePasswordRouter(req, res);
    }));
    router.put('/change_name', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield put_1.default.changeNameRouter(req, res);
    }));
    router.put('/deactivate_user', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield put_1.default.deactivateUserRouter(req, res);
    }));
    router.put('/activate_user', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield put_1.default.activateUserRouter(req, res);
    }));
};
//# sourceMappingURL=put.js.map