"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const post_1 = require("../functions/post");
module.exports = (router, option) => {
    // Connect user
    router.post('/connect', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield post_1.init.StartSession(req, res, option);
    }));
    // Send a text message
    router.post('/sendtext', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        yield post_1.init.sendtext(req, res);
    }));
    // Route to test webhook
    router.post('/webhooktest', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('Return object ', req.body);
    }));
};
//# sourceMappingURL=post.js.map